# dllinfo

provides information about the format and symbols provided in executable and DLL files (Windows).

## Calling Sequence

    infolist = dllinfo(filename,option)

## Arguments

filename

  a string : a filename .dll or .exe file

option

  a string : 'machine' , 'exports' , 'imports'

infolist

  a list :

  infolist(1) : a string : name of dll or executable.

  infolist(2) : a string matrix : symbols (imported or exported) or machine type (x86 or x64).

## Description

This tool provides information about the format and symbols (imported or exported) provided in executable and DLL files.

This tool is based on dumpbin.exe. A tool provided with Visual studio SDK.

## Examples

    if getos() == "Windows" then
      filename = SCI + "\bin\api_scilab.dll";

      dllinfolist = dllinfo(filename, "machine");
      mprintf("Machine destination of %s: %s\n", dllinfolist(1), dllinfolist(2));

      dllinfolist = dllinfo(filename, "imports");
      mprintf("Dlls dependencies of %s:\n", filename);
      for i=1:size(dllinfolist)
        mprintf("%s\n",dllinfolist(i)(1));
      end

      dllinfolist = dllinfo(filename, "exports");
      mprintf("Dll exports of %s:\n", filename);
      disp(dllinfolist);
    end

## See Also

- addinter
- link
- ilib_compile
- ilib_gen_Make
- ilib_gen_gateway
- ilib_gen_loader
- ilib_for_link